For the complete documentation index, see llms.txt. This page is also available as Markdown.

Update wallets in bulk

This endpoint updates multiple wallets simultaneously. Use this endpoint to update name, external ID, archived status, daily budget, and credit limit.

Epsilon Retail Media's documentation is now centralized with our knowledgebase!

For up to date guides, please view this page in the new Partner APIs space of our documentation.


description: "This endpoint updates multiple wallets simultaneously. Use this endpoint to update name, external ID, archived status, daily budget, and credit limit."

Update wallets in bulk

Update wallets in bulk

patch

This endpoint updates multiple wallets simultaneously. Use this endpoint to update name, external ID, archived status, daily budget, and credit limit.

Authorizations
AuthorizationstringRequired

For accessing the API a valid JWT must be passed in all queries in the 'Authorization' header. The following syntax must be used in the 'Authorization' header. (Bearer xxx.yyy.zzz)

Body
Responses
default

An unexpected error response.

application/json

The Status type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by gRPC. Each Status message contains three pieces of data: error code, error message, and error details.

You can find out more about this error model and how to work with it in the API Design Guide.

codeinteger · int32Optional

The status code, which should be an enum value of [google.rpc.Code][google.rpc.Code].

messagestringOptional

A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the [google.rpc.Status.details][google.rpc.Status.details] field, or localized by the client.

patch/v2/wallets/bulk/update
PATCH /v2/wallets/bulk/update HTTP/1.1
Host: billing.<env>.citrusad.com
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 234

{
  "wallets": [
    {
      "archived": false,
      "creditLimit": "50000.00",
      "currencyCode": "USD",
      "dailyBudget": "1000.00",
      "externalId": "ext_789GHI",
      "id": "wallet_12345ABC",
      "name": "MainCompanyWallet",
      "namespaceId": "namespace_xyz987",
      "teamId": "team_456DEF"
    }
  ]
}
{
  "code": 1,
  "details": [
    {
      "@type": "text",
      "ANY_ADDITIONAL_PROPERTY": "anything"
    }
  ],
  "message": "text"
}